Orxonox: orxonox::NetworkMemberFunctionBase Class Reference

# orxonox::NetworkMemberFunctionBase Class Reference

`#include <src/network/NetworkFunction.h>`

Inheritance diagram for orxonox::NetworkMemberFunctionBase:

List of all members.

## Public Member Functions

virtual void | call (uint32_t objectID, const MultiType &mt1, const MultiType &mt2, const MultiType &mt3, const MultiType &mt4, const MultiType &mt5)=0
virtual void | call (uint32_t objectID, const MultiType &mt1, const MultiType &mt2, const MultiType &mt3, const MultiType &mt4)=0
virtual void | call (uint32_t objectID, const MultiType &mt1, const MultiType &mt2, const MultiType &mt3)=0
virtual void | call (uint32_t objectID, const MultiType &mt1, const MultiType &mt2)=0
virtual void | call (uint32_t objectID, const MultiType &mt1)=0
virtual void | call (uint32_t objectID)=0
| NetworkMemberFunctionBase (const std::string &name, const NetworkFunctionPointer &p)
virtual void | setNetworkID (uint32_t id)
| ~NetworkMemberFunctionBase ()

## Static Public Member Functions

static NetworkMemberFunctionBase * | getFunction (const NetworkFunctionPointer &p)
static NetworkMemberFunctionBase * | getFunction (uint32_t id)
static NetworkMemberFunctionBase * | getNetworkFunction (uint32_t id)

## Static Private Attributes

static std::map < NetworkFunctionPointer, NetworkMemberFunctionBase * > | functorMap_
static std::map< uint32_t, NetworkMemberFunctionBase * > | idMap_

## Constructor & Destructor Documentation

orxonox::NetworkMemberFunctionBase::NetworkMemberFunctionBase | ( | const std::string & | name,
|  | const NetworkFunctionPointer & | p |
| ) |  |  |

References functorMap_, orxonox::NetworkFunctionBase::getNetworkID(), idMap_, and RegisterObject.

orxonox::NetworkMemberFunctionBase::~NetworkMemberFunctionBase | ( |  | ) |

## Member Function Documentation

virtual void orxonox::NetworkMemberFunctionBase::call | ( | uint32_t | objectID,
|  | const MultiType & | mt1,
|  | const MultiType & | mt2,
|  | const MultiType & | mt3,
|  | const MultiType & | mt4,
|  | const MultiType & | mt5 |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::NetworkMemberFunction< T >.

virtual void orxonox::NetworkMemberFunctionBase::call | ( | uint32_t | objectID,
|  | const MultiType & | mt1,
|  | const MultiType & | mt2,
|  | const MultiType & | mt3,
|  | const MultiType & | mt4 |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::NetworkMemberFunction< T >.

virtual void orxonox::NetworkMemberFunctionBase::call | ( | uint32_t | objectID,
|  | const MultiType & | mt1,
|  | const MultiType & | mt2,
|  | const MultiType & | mt3 |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::NetworkMemberFunction< T >.

virtual void orxonox::NetworkMemberFunctionBase::call | ( | uint32_t | objectID,
|  | const MultiType & | mt1,
|  | const MultiType & | mt2 |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::NetworkMemberFunction< T >.

virtual void orxonox::NetworkMemberFunctionBase::call | ( | uint32_t | objectID,
|  | const MultiType & | mt1 |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::NetworkMemberFunction< T >.

virtual void orxonox::NetworkMemberFunctionBase::call | ( | uint32_t | objectID | ) | `[pure virtual]`

Implemented in orxonox::NetworkMemberFunction< T >.

Referenced by orxonox::packet::FunctionCalls::process().

static NetworkMemberFunctionBase* orxonox::NetworkMemberFunctionBase::getFunction | ( | const NetworkFunctionPointer & | p | ) | `[inline, static]`

static NetworkMemberFunctionBase* orxonox::NetworkMemberFunctionBase::getFunction | ( | uint32_t | id | ) | `[inline, static]`

Referenced by orxonox::packet::FunctionCalls::process().

static NetworkMemberFunctionBase* orxonox::NetworkMemberFunctionBase::getNetworkFunction | ( | uint32_t | id | ) | `[inline, static]`

virtual void orxonox::NetworkMemberFunctionBase::setNetworkID | ( | uint32_t | id | ) | `[inline, virtual]`

Reimplemented from orxonox::NetworkFunctionBase.

References orxonox::NetworkFunctionBase::setNetworkID().

## Member Data Documentation

std::map< NetworkFunctionPointer, NetworkMemberFunctionBase * > orxonox::NetworkMemberFunctionBase::functorMap_`[static, private]`

Referenced by NetworkMemberFunctionBase().

std::map< uint32_t, NetworkMemberFunctionBase * > orxonox::NetworkMemberFunctionBase::idMap_`[static, private]`

Referenced by NetworkMemberFunctionBase().

The documentation for this class was generated from the following files:

- src/network/NetworkFunction.h
- src/network/NetworkFunction.cc